Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditSearchGenerator

    java.lang.Object
      oracle.ifs.core.util.AuditSearchGenerator

    public class AuditSearchGenerator

extends java.lang.Object

Converts audit search filter options into an audit search clause. Verifies the filter options are valid and the user executing the search has the appropriate permission. FIXME sql injection candidate (mshannon)

Constructor Summary
`AuditSearchGenerator(AuditSpecification spec, long[] targetIds, java.lang.String searchClause, java.lang.String sortClause)` Creates an AuditSearchGenerator from BL code.
`AuditSearchGenerator(LibrarySession session, java.util.Map searchOptions, AttributeValue[] sortOptions)` Creates an AuditSearchGenerator.

Method Summary
`void` | `checkAuthorization()` Checks if the current user is authorized to perform the search.
`java.lang.String` | `createSearchClause()` Returns the search clause to use for the audit search.
`java.lang.String` | `createSearchClause(boolean domainScoped)` Returns the search clause to use for the audit search.
`java.lang.String` | `createSortClause()` Returns the sort clause to use for the audit search.
`java.lang.String` | `deriveSearchClause()` Derives the search clause to use for the audit search.
`java.lang.String` | `deriveSearchClause(boolean domainScoped)` Derives the search clause to use for the audit search.
`java.lang.Long` | `getAuditSpecificationId()` Returns the AuditSpecification ID to use for the audit search.
`int` | `getResultLimit()` Returns the limit of the number of items to return for the audit search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditSearchGenerator

    public AuditSearchGenerator(LibrarySession session,
                                java.util.Map searchOptions,
                                AttributeValue[] sortOptions)
                         throws IfsException

  Creates an AuditSearchGenerator.

  Parameters:
    `session` - session context
    `searchOptions` - a Map of raw search options
    `sortOptions` - a Map of raw sort options
  Throws:
    `IfsException` - if the operation fails

### AuditSearchGenerator

    public AuditSearchGenerator(AuditSpecification spec,
                                long[] targetIds,
                                java.lang.String searchClause,
                                java.lang.String sortClause)
                         throws IfsException

  Creates an AuditSearchGenerator from BL code.

  Parameters:
    `spec` - the AuditSpecification to search
    `targetIds` - the target IDs, if any
    `searchClause` - the search clause
    `sortClause` - the sort clause
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getAuditSpecificationId

    public java.lang.Long getAuditSpecificationId()

  Description copied from class: `AuditSearchGenerator`
  Returns the AuditSpecification ID to use for the audit search.

### getResultLimit

    public int getResultLimit()

  Description copied from class: `AuditSearchGenerator`
  Returns the limit of the number of items to return for the audit search.

### createSearchClause

    public java.lang.String createSearchClause()
                                        throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Returns the search clause to use for the audit search.

  Returns:
    the search clause
  Throws:
    `IfsException` - if the operation fails.
    `java.lang.ClassCastException` - if any of the sort options have values that are invalid datatypes

### createSearchClause

    public java.lang.String createSearchClause(boolean domainScoped)
                                        throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Returns the search clause to use for the audit search.

  Parameters:
    `domainScoped` - indicates whether Domain ID clause should be included
  Returns:
    the search clause
  Throws:
    `IfsException` - if the operation fails.
    `java.lang.ClassCastException` - if any of the sort options have values that are invalid datatypes

### deriveSearchClause

    public java.lang.String deriveSearchClause()
                                        throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Derives the search clause to use for the audit search.

  Returns:
    the search clause, or null if no search options were specified
  Throws:
    `IfsException` - if the operation fails
    `java.lang.ClassCastException` - if any of the sort options have values that are invalid datatypes

### deriveSearchClause

    public java.lang.String deriveSearchClause(boolean domainScoped)
                                        throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Derives the search clause to use for the audit search.

  Parameters:
    `domainScoped` - indicates whether Domain ID clause should be included
  Returns:
    the search clause, or null if no search options were specified
  Throws:
    `IfsException` - if the operation fails
    `java.lang.ClassCastException` - if any of the sort options have values that are invalid datatypes

### createSortClause

    public java.lang.String createSortClause()
                                      throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Returns the sort clause to use for the audit search.

  Throws:
    `IfsException` - if the operation fails.

### checkAuthorization

    public void checkAuthorization()
                            throws IfsException

  Description copied from class: `AuditSearchGenerator`
  Checks if the current user is authorized to perform the search.

  Throws:
    `IfsException` - if the user does not have access, or if the operation otherwise fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD